Description

| think it would be great if there was an automated backup button that would generate a backup of all the
projects/files.

An automated restore function would be nice as well. This way users could backup the projects, move to a new server,
install redmine and then restore the backup.

History

#1 - 2008-01-15 09:15 - Dusan Holub

+1

Feature proposed is useful not only for transfer to another server,

but also for regular backups. Missing possibility of backup/restore

prevents RubyForge from professional usage. At least some script
for backup/recovery would be nice.

Thanks!

#2 - 2008-12-15 17:15 - Michael Aye

+1
also for test-driving Redmine this is helpful: One could already enter some issues to see how it is, and if liked can just transfer (e.g. from a Bitnami
stack) everything to a full installation.

#3 - 2009-08-07 11:12 - Damien Couderc
+1000

I'm really surprised that so few people asked for this feature.
Does it mean than only 3 people here take care of having backups ?

#4 - 2009-08-07 11:14 - Damien Couderc

By the way, it also could provide some hooks for plugins.
#5 - 2009-08-10 06:53 - Thomas Pihl
Damien Couderc wrote:
+1000
I'm really surprised that so few people asked for this feature.
Does it mean than only 3 people here take care of having backups ?
| don't really think so. My understanding is that normal backup are straigt-forward and easy to implement so no-one bother to do the same thing in
redmine.
If you have your code in a repo, all you have to do are:

e mysqgldump your databases to wherever you'l like to keep your backups.
e zip/tar/similar the config and files catalog to a safe location as well

The issue (usually) is finding the safe location and to hadnle multiple generations of backup. Both those things are well handled by "real" backup
software or some external scrips.

#6 - 2009-08-10 14:42 - Nanda P
+1
For now, On Windows XP server. | created a batch file & schedule it to run every 12hrs. Its working for me. (MySQL backend)

You can use any file compression utility. | am using one called 7Zip (http://www.7-zip.org/)

REM RedMine Production Backup - please don't Delete or Modify
@ECHO OFF

path=%PATHS%;C:\Program Files\MySQL\MySQL Server 5.1\bin;C:\Program Files\7-Zip\;

FOR /F "tokens=1-4 DELIMS=/ " %%F IN ('date /T') DO (set v_date=%%F%%G%%H%%I)

FOR /F "tokens=1-4 DELIMS=/ " %%F IN ('date /T') DO (set v_datel=%%G%%H%%I)

FOR /F "tokens=1-4 DELIMS=: " %%F IN ('time /T') DO (set v_time=%%F%%G%%H)

set fname=C:\RMBackup\RMDBBackup_%v_date%_%v_time%.sqgl

set filesZip=C:\RMBackup\RMFiles_%v_datel%_%v_time%.zip

mysgldump.exe -uUserID -pPassword —--databases redmine > %fname%

@7z.exe a %filesZip% "C:\Program Files\redminel\current\files\???2?2?2?222?2?22?_*.*" -y -bd

#7 - 2009-08-26 10:59 - Damien Couderc

@ Thomas :
The fact | know how to make a custom backup myself does not mean than a more reliable solution should exists.

What about if your server goes down for an hardware failure and that the new one use an higher version of the database which is incompatible with
the backup files ?

It would be more professionally to have a backup feature which is database vendor insensitive, so we can make a backup on some host and restore
on another one.

| already had to migrate the Redmine database at work and | can tell you it's pure hell.

This is one the aspects that prevents Redmine to be validated at work, | maintain it only for our team.

#8 - 2011-04-14 16:12 - Etienne Massip

- Category set to Administration

#9 - 2012-05-17 05:47 - paul ting

REM RedMine Production Backup - please don't Delete or Modify
Q@ECHO OFF

path=%PATH%; C:\Program Files\MySQL\MySQL Server 5.1\bin;C:\Program Files\7-Zip\;

FOR /F "tokens=1-4 DELIMS=/ " %%F IN ('date /T') DO (set v_date=%%F%%G%%H%%I)

FOR /F "tokens=1-4 DELIMS=/ " %%F IN ('date /T') DO (set v_datel=%3%G%%H%%I)

FOR /F "tokens=1-4 DELIMS=: " %%F IN ('time /T') DO (set v_time=%%F%%G%%H)

set fname=C:\RMBackup\RMDBBackup_%v_date%_%v_time%.sqgl

set filesZip=C:\RMBackup\RMFiles_%v_datel%_$v_time%.zip

mysgldump.exe -uUserID -pPassword —--databases redmine > %fname%

@7z.exe a %$filesZip% "C:\Program Files\redmine\current\files\?2?22?2?22?2?22?2?22_*.*" —y -bd

how to restore?
